Bug 1794765 - [ipi baremetal] Fix IP address handling to account for IPv6
Summary: [ipi baremetal] Fix IP address handling to account for IPv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Stephen Benjamin
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1794764 1796618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-24 15:40 UTC by Russell Bryant
Modified: 2020-05-20 13:48 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-20 13:47:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2977 None closed Bug 1794765: ipv6: Fix IPv6 address encoding 2020-05-11 14:28:43 UTC
Red Hat Product Errata RHBA-2020:2129 None None None 2020-05-20 13:48:08 UTC

Description Russell Bryant 2020-01-24 15:40:19 UTC
Fix various places where IP addresses were not handled properly to account for IPv6.

https://github.com/openshift/installer/pull/2916

Comment 2 Dan Winship 2020-02-07 14:25:24 UTC
Assigning all 4.3.z IPv6 bugs to Marius Cornea for QA, as they are not yet QA-able in stock release-4.3 builds.

Comment 3 Marius Cornea 2020-02-11 21:58:09 UTC
This BZ cannot be verified for now on the 4.3-ipv6 release as the latest build(4.3.0-0.nightly-2020-02-10-055634-ipv6.3) includes a custom installer image according to https://github.com/openshift-kni/ocp-ipv6/blob/master/builds.yaml

Comment 8 errata-xmlrpc 2020-05-20 13:47:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2129


Note You need to log in before you can comment on or make changes to this bug.